ecpoint.h File Reference

Classes for Elliptic Curve points. More...

Go to the source code of this file.

## Classes

struct | ECPPoint
| Elliptical Curve Point over GF(p), where p is prime. More...
struct | EC2NPoint
| Elliptical Curve Point over GF(2^n) More...
class | EncodedPoint< Point >
| Abstract class for encoding and decoding ellicptic curve points. More...

## Variables

| AbstractGroup< ECPPoint >
| AbstractGroup< EC2NPoint >

## Detailed Description

Classes for Elliptic Curve points.

Since
  Crypto++ 6.0

Definition in file ecpoint.h.